petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetFunctionType

Gets the SNESNormSchedule used in covergence and monitoring of the SNES method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetFunctionType(SNES snes, SNESFunctionType *type)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| normschedule | - the type of the norm used

### Keywords

SNES, nonlinear, set, function, norm, type

### See Also

SNESSetNormSchedule(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormSchedule

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages